SDL_WaitEvent(3)

NAME
SDL_WaitEvent - Wait indefinitely for the next available event.

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_WaitEvent(SDL_Event *event);

DESCRIPTION
If event is not NULL, the next event is removed from the queue and stored in the SDL_Event
 structure pointed to by event . As this function may implicitly call SDL_PumpEvents (), you can only call this function in the thread that initialized the video subsystem.

FUNCTION PARAMETERS

event
    the SDL_Event
     structure to be filled in with the next event from the queue, or NULL

RETURN VALUE
Returns SDL_TRUE
 on success or SDL_FALSE
 if there was an error while waiting for events; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_PollEvent(3), SDL_PushEvent(3), SDL_WaitEventTimeout(3)